org.codehaus.groovy.vmplugin

## Interface VMPlugin

- All Known Implementing Classes:
    Java5, Java6

      public interface VMPlugin

  Interface to access VM version based actions. This interface is for internal use only!
  Author:
    Jochen Theodorou

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureAnnotation(AnnotationNode an)`
    `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `Class[]` | `getPluginDefaultGroovyMethods()`
    `Class[]` | `getPluginStaticGroovyMethods()`
    `void` | `invalidateCallSites()`
    `void` | `setAdditionalClassInformation(ClassNode c)`

- - ### Method Detail

    - #### setAdditionalClassInformation

          void setAdditionalClassInformation(ClassNode c)

    - #### getPluginDefaultGroovyMethods

          Class[] getPluginDefaultGroovyMethods()

    - #### getPluginStaticGroovyMethods

          Class[] getPluginStaticGroovyMethods()

    - #### configureAnnotation

          void configureAnnotation(AnnotationNode an)

    - #### configureClassNode

          void configureClassNode(CompileUnit compileUnit,
                                ClassNode classNode)

    - #### invalidateCallSites

          void invalidateCallSites()